<?php

session_start();

require '_local/eshop/pay_drivers/rbspayment/rbs.php';

$AMI_ENV_SETTINGS = array(
	'mode'				=> 'full',
	'response_mode'		=> 'HTML',
	'response_buffered'	=> false,
);
	
require 'ami_env.php';

if (!isset($_GET['orderId'])) return;

$aSettings = unserialize(AMI::getResourceModel('payment_drivers/table')->findByFields(array('header' => 'rbspayment'))->settings);

$order_id = $_GET['orderId'];
$order_number = $_SESSION[$order_id . '_number'];
$return = $_SESSION[$order_id . '_return'];
$cancel = $_SESSION[$order_id . '_cancel'];
$user_name = $aSettings['username'];
$password = $aSettings['password'];
$logging = $aSettings['logging'];
$test_mode = $aSettings['test_mode'];

// $_SESSION[$order_id . '_number'] = '';
// $_SESSION[$order_id . '_return'] = '';
// $_SESSION[$order_id . '_cancel'] = '';

$order = AMI::getResourceModel('eshop_order/table')->find($order_number);

$rbs = new RBS($user_name, $password, $logging, true, $test_mode);
$response = $rbs->get_order_status_by_orderId($order_id);
// print_r($response); die();
if ($response['errorCode'] == '0') {
	if ($response['orderStatus'] == '1' || $response['orderStatus'] == '2') {
		$order->status = 'accepted';
		$order->save();
		header('Location: ' . $return);
	} else {
		$order->status = 'rejected';
		$order->save();
		header('Location: ' . $cancel);
	}
} else {
	echo '<h3>Ошибка платежного шлюза: ' . $response['errorMessage'] . '</h3>';
}